Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1572283 - [DOCS] Need to include cluster power down/reboot procedures in Admin Guide
Summary: [DOCS] Need to include cluster power down/reboot procedures in Admin Guide
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation
Version: 3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z1
: 3.*
Assignee: Erin Donnelly
QA Contact: Sidhant Agrawal
URL:
Whiteboard:
Depends On:
Blocks: 1668330
TreeView+ depends on / blocked
 
Reported: 2018-04-26 15:26 UTC by Mike Hackett
Modified: 2019-08-26 06:55 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-26 06:55:20 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Mike Hackett 2018-04-26 15:26:48 UTC
Description of problem:

We lack cluster power down and reboot procedures in the Ceph Admin guide. It has been requested to include these procedures. Need to include the following components:

- Monitors
- OSDs
- RGWs
- MDSs
- iSCSI GWs
- Admin node (Ceph Metrics and Ansible)

Refer: https://access.redhat.com/solutions/2139301



Version-Release number of selected component (if applicable):
3.0

Comment 3 Randy Martinez 2018-04-27 03:35:04 UTC
The power down/up procedures for ceph are documented here: https://access.redhat.com/solutions/2139301 #Like Mike mentioned. Note: Step. 1 mentions clients... this includes MDSs. RGW/MDS order does not matter, but deactivation of MDS does covered next.

PR: https://github.com/ceph/ceph/pull/21265 documents the current process for MDS take down. Unfortunately, before it had a chance to make it into RH documentation... behavior was enhanced upstream. The listed PR applies today(RHCS 3.0), and with 3.1 it "should" be simplified to 1 command for stop/start. 
REF(future release):
  - http://docs.ceph.com/docs/master/cephfs/administration/#taking-the-cluster-down
  - Current vs. New in 3.1: https://github.com/ceph/ceph/pull/16608/files#diff-2001b94c3deda3525a9380b7f3491875  <-- This is the doc diff... The PR has all changes which will show where we're headed FYA.


Note You need to log in before you can comment on or make changes to this bug.